Bug 149375 - Use file system label as default mount point
Use file system label as default mount point
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature, Reopened
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2005-02-22 12:44 EST by Dr. Tilmann Bubeck
Modified: 2008-12-10 16:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 16:41:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2005-02-22 12:44:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; AGIS)

Description of problem:
Whenever I re-install FC on a computer I want to use the same 
partition table and the same mount points. It's boring to enter the 
previous mount points during disc druid.

Anaconda should use the file system label (tune2fs -L XXX) of the 
previous installation and enter that label as the default mount 
point. So the user could still change the mount point, if it is wrong 
or unwanted but otherwise the user could just continue "as it was".

If the user chose to "keep its partitions" it should also keep the 
mount points of the partitions. At least as much as possible.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC on a previous used computer with an old FC
2. Select "Keep partitions"
3. Watch the mount points gone.
    

Actual Results:  The mount points are lost.

Expected Results:  The mount points should be saved as the partitions 
are.

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:22:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Dr. Tilmann Bubeck 2006-07-11 02:31:28 EDT
It is still not resolved in FC5 nor FC6test1.
Comment 3 Matthew Miller 2006-07-11 11:51:00 EDT
thanks. reopening as per comment #2.
Comment 4 Chris Lumens 2006-07-21 13:27:28 EDT
Looks like we were already doing this for regular partitions, but not for LVM. 
The new setup is that the original filesystem label is displayed in the logical
volume editor and is the first in the drop down list of mount points.  So you
can easily select the original mount point.
Comment 5 Dr. Tilmann Bubeck 2006-07-24 00:54:19 EDT
Yes, you are right: the last mount point is the first in the list of available
mount points.

BUT, still I have to click 'edit' on any partition and click 'select' on the
mount point of that partition.

My RFE is to ENTER the last mount point at each partition so that I don't have
to use the 'edit' button at all (only if I really want to change things). So the
last mount point should also be shown as current mount point in the list of the
partitions so that I normally could click only "> Next".

This RFE is solely to improve usability and make things easier.
Comment 6 Dr. Tilmann Bubeck 2008-02-13 13:19:46 EST
Still open for Fedora 9 Alpha.
Comment 7 David Lehman 2008-12-10 16:41:03 EST
Putting the mountpoint first in the list of available mountpoints is as far as we should go here. We violate the principle of least surprise by setting the mountpoints "automagically".

I'm sorry that it is boring to reset the mountpoints, but it is preferable to potentially making many other users angry at us for making choices without their input.

Note You need to log in before you can comment on or make changes to this bug.